Bug 252072 - new port: devel/py-ciso8601: convert ISO 8601 or RFC 3339 date time strings into Python datetime objects
Summary: new port: devel/py-ciso8601: convert ISO 8601 or RFC 3339 date time strings i...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks: 256885
  Show dependency treegraph
 
Reported: 2020-12-23 17:36 UTC by Ivan Rozhuk
Modified: 2021-07-02 09:29 UTC (History)
2 users (show)

See Also:


Attachments
patch (1.44 KB, patch)
2020-12-23 17:36 UTC, Ivan Rozhuk
no flags Details | Diff
patch (1.93 KB, patch)
2021-06-30 12:53 UTC, Ivan Rozhuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Rozhuk 2020-12-23 17:36:35 UTC
Created attachment 220852 [details]
patch

ciso8601 converts ISO 8601 or RFC 3339 date time strings into Python
datetime objects.

Since it's written as a C module, it is much faster than other Python
libraries. Tested with Python 2.7, 3.4, 3.5, 3.6, 3.7, 3.8, 3.9.

Note: ciso8601 doesn't support the entirety of the ISO 8601 spec,
only a popular subset.

WWW: https://github.com/closeio/ciso8601
Comment 1 Guangyuan Yang freebsd_committer 2021-06-29 21:00:56 UTC
Some cosmetic nits:

- # $FreeBSD$ is deprecated, and should be removed
- Please sort the USE_PYTHON fields
- pkg-descr can be improved - I personally feel like that it is not necessary to specify the "Tested with ...", and the first two paragraphs can be combined to one.

Other than that, it looks good to me, thanks!
Comment 2 Ivan Rozhuk 2021-06-30 12:53:04 UTC
Created attachment 226130 [details]
patch
Comment 3 commit-hook freebsd_committer 2021-07-02 09:27:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9669d3437973d2961022efd38edfae4353a75406

commit 9669d3437973d2961022efd38edfae4353a75406
Author:     Ivan Rozhuk <rozhuk.im@gmail.com>
AuthorDate: 2021-07-02 09:26:40 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-02 09:26:40 +0000

    devel/py-ciso8601: New port

    Fast ISO8601 date time parser for Python written in C.

    PR:             252072
    Approved by:    lwhsu (mentor)

 devel/Makefile                    |  1 +
 devel/py-ciso8601/Makefile (new)  | 16 ++++++++++++++++
 devel/py-ciso8601/distinfo (new)  |  3 +++
 devel/py-ciso8601/pkg-descr (new) |  8 ++++++++
 4 files changed, 28 insertions(+)
Comment 4 Guangyuan Yang freebsd_committer 2021-07-02 09:29:36 UTC
Committed, thanks!